<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TFascHrFieldMapper">

  <resultMap id="tFascHrFieldMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TFascHrField">
    <id property="id" column="id"/>
    <result property="hrField" column="hr_field"/>
    <result property="hrFieldId" column="hr_field_id"/>
    <result property="contractType" column="contract_type"/>
	  <result property="fieldType" column="field_type"/>
    <result property="fieldValue" column="field_value"/>
	  <result property="fieldDefaultValue" column="field_default_value"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.hr_field,
                a.hr_field_id,
                a.contract_type,
                a.field_type,
                a.field_value,
                a.field_default_value
    </sql>
    <sql id="tFascHrField_where">
        <if test="tFascHrField != null">
                    <if test="tFascHrField.id != null and tFascHrField.id.trim() != ''">
                        AND a.id = #{tFascHrField.id}
                    </if>
                    <if test="tFascHrField.hrField != null and tFascHrField.hrField.trim() != ''">
                        AND a.hr_field like concat('%', #{tFascHrField.hrField}, '%')
                    </if>
                    <if test="tFascHrField.hrFieldId != null and tFascHrField.hrFieldId.trim() != ''">
                        AND a.hr_field_id = #{tFascHrField.hrFieldId}
                    </if>
                    <if test="tFascHrField.contractType != null and tFascHrField.contractType.trim() != ''">
                        AND a.contract_type = #{tFascHrField.contractType}
                    </if>
        </if>
    </sql>
    <!--tFascHrField简单分页查询-->
    <select id="getTFascHrFieldPage" resultMap="tFascHrFieldMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_fasc_hr_field a
        <where>
            1=1
            <include refid="tFascHrField_where"/>
        </where>
		order by (a.id-0) asc
    </select>
    <!--tFascHrField简单分页查询-->
    <select id="getTFascHrFieldList" resultMap="tFascHrFieldMap">
        SELECT
        	<include refid="Base_Column_List"/>
        FROM t_fasc_hr_field a
        <where>
            1=1
            <include refid="tFascHrField_where"/>
        </where>
		order by (a.id-0) asc
    </select>
</mapper>
